%global packname  GenomicFeatures
%global Rvers     2.11.0

Name:             R-%{packname}
Version:          0.0.9
Release:          3%{?dist}
Summary:          A transient package to store various genomic features

Group:            Applications/Engineering 
License:          Artistic 2.0
URL:              http://bioconductor.org/packages/release/data/experiment/html/GenomicFeatures.html
Source0:          http://www.bioconductor.org/packages/release/data/experiment/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch 

BuildRequires:    R-devel >= %{Rvers} tex(latex) R-IRanges
Requires:         R-core >= %{Rvers} R-IRanges

%description
Various Genome-related features, such as gene boundaries, CpG islands,
etc.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}



# noarch -> Architecture independent package
mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css



%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc %{_datadir}/R/library/GenomicFeatures/html
%doc %{_datadir}/R/library/GenomicFeatures/DESCRIPTION
%{_datadir}/R/library/GenomicFeatures/NAMESPACE
%{_datadir}/R/library/GenomicFeatures/Meta
%{_datadir}/R/library/GenomicFeatures/data
%{_datadir}/R/library/GenomicFeatures/R
%{_datadir}/R/library/GenomicFeatures/INDEX
%{_datadir}/R/library/GenomicFeatures/help

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jun 27 2010 pingou <pingou@pingoured.fr> 0.0.9-2
- Fix ending of description (missing an etc)
- Add R-IRanges as R and BR

* Sat Jun 05 2010 pingou <pingou@pingoured.fr> 0.0.9-1
- initial package for Fedora
